public class FigurMalerei{

    private Interaktionsbrett ib = new Interaktionsbrett();
    private Punkt p1 = new Punkt(20,30);
    private Punkt p2 = new Punkt(50,30);
    private Punkt[][] figuren = {dreieck(p1,p2,new Punkt(35,5)),
            dreieck(new Punkt(35,55),p2,p1)};

    public Punkt[] dreieck(Punkt p1, Punkt p2, Punkt p3){
        return new Punkt[]{p1,p2,p3};
    }

    public void malen(Punkt[] punkte){
        for(int i = 0; i < punkte.length; i = i + 1){
            this.ib.neueLinie(punkte[i].getX(), punkte[i].getY(),
                punkte[(i+1)%punkte.length].getX(),
                punkte[(i+1)%punkte.length].getY());
        }
    }

    public void malen(){
        for(Punkt[] arr:this.figuren){
            this.malen(arr);
        }        
    }

    public void analyse1(){
        malen();
    }

    public void analyse2(){
        this.figuren[0][2].setX(50);
        malen();
    }

    public void analyse3(){
        this.p1.setX(2);
        malen();
    }
}